Bug 90106 - Clicking 'Probe Videocard' button many times moves monitor listing
Clicking 'Probe Videocard' button many times moves monitor listing
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-xfree86 (Show other bugs)
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Depends On:
  Show dependency treegraph
Reported: 2003-05-02 11:12 EDT by Petri T. Koistinen
Modified: 2007-04-18 12:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-05-28 20:13:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Before clicking 'Probe Videocard' (54.66 KB, image/png)
2003-05-02 11:13 EDT, Petri T. Koistinen
no flags Details
After clicking 'Probe Videocard' few times (47.51 KB, image/png)
2003-05-02 11:14 EDT, Petri T. Koistinen
no flags Details

  None (edit)
Description Petri T. Koistinen 2003-05-02 11:12:38 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Run redhat-config-xfree86
2. Select Advanced tab on Video Card subarea select Configure...
3. You'll see 'Video card setting' window appear.
4. Click many times 'Probe Videocard' button, see how list of monitors moves to
left. See screenshots.

Additional info:
Comment 1 Petri T. Koistinen 2003-05-02 11:13:51 EDT
Created attachment 91477 [details]
Before clicking 'Probe Videocard'
Comment 2 Petri T. Koistinen 2003-05-02 11:14:39 EDT
Created attachment 91478 [details]
After clicking 'Probe Videocard' few times
Comment 3 Brent Fox 2003-05-23 16:35:54 EDT
After looking into this, the bug is not with redhat-config-xfree86.  The bug
appears to be in the scroll_to_cell() function in gtkTreeView.  I'm filing this
against pygtk2, but the actual bug may be in gtk2.

Calling scroll_to_cell on a tree that is too wide for the viewport will cause
the tree start scrolling horizontally a few pixels at a time.  

Below is a sample program to demonstrate the behavior.  Start clicking the
'clickme' button and watch the tree start moving horizontally, even though the
col_align float value is set to '0.0':


import signal
import gtk
import gobject

if __name__ == "__main__":
    signal.signal (signal.SIGINT, signal.SIG_DFL)

def clicked(button, store, view, col, iter):
    path = store.get_path(iter)
    view.set_cursor(path, col, gtk.FALSE)
    view.scroll_to_cell(path, col, gtk.TRUE, 0.5, 0.0)

win = gtk.Window()
win.set_size_request(100, 150)
box = gtk.VBox()
store = gtk.ListStore(gobject.TYPE_STRING)
view = gtk.TreeView()

col = gtk.TreeViewColumn(None, gtk.CellRendererText(), text =0)

iter = store.append()
store.set_value(iter, 0, "123456789123456789123456789")

button = gtk.Button("clickme")
button.connect("clicked", clicked, store, view, col, iter)


Comment 4 Brent Fox 2003-05-28 20:11:48 EDT
I have filed a new bug (#91845) that addresses the scroll_to_cell() bug more
directly.  I'm reassigning this bug back to redhat-config-xfree86.
Comment 5 Brent Fox 2003-05-28 20:13:29 EDT
I just reworked the redhat-config-xfree86 UI so that this bug isn't a problem to
the user anymore.  The bug in pygtk2 (or gtk2) still exists, but see bug #91845
for more info on that.  

Closing as Rawhide since future versions will have a different UI.

Note You need to log in before you can comment on or make changes to this bug.